//Anastasiya Lazareva
//Assignment 2

import de.bezier.data.sql.*;

MySQL msql;
String DL = ","; //the DELIMITER

int borderleft=67;
int[] earth=new int[13];
int[] moon=new int[13];
String[] months={"jan", "feb", "mar", "apr", "may", "jun", "jul", "aug", "sep", "oct","nov", "dec"};



void setup() {
  size(1100,300);
  smooth();
  background(255);
  noLoop();
  
  // connecting to the SPL database
    msql = new MySQL( this, "tango.mat.ucsb.edu", "spl0", "mat259", "V1sual1zat1on" ); //host, database, user, password
    if ( msql.connect() )
    { 
      String TheQuery="SELECT month(cout) as Month, SUM(CASE WHEN title like 'earth %' or title like '% earth %' or title like '% earth' THEN 1 ELSE 0 END) as Earth, SUM(CASE WHEN title like 'moon %' or title like '% moon %' or title like '% moon' THEN 1 ELSE 0 END) as Moon FROM inraw WHERE ITEMTYPE like '%bk%' and year(cout)='2011' GROUP BY month(cout);";
          println(TheQuery);
          msql.query( TheQuery);
          //msql.next();
          int count = 0;
          while( msql.next()){
              println( msql.getInt(1)+DL+msql.getInt(2)+DL+msql.getInt(3));
              earth[msql.getInt(1)]=msql.getInt(2);
              moon[msql.getInt(1)]=msql.getInt(3);
          }     
     }
    else
    {
      println(" connection failed !");
    }
    background(255);
    
     //horizontal line
   stroke(90,70);
    strokeWeight(0.4); 
    line(40,155,1050,155);
    
    // vertical lines
    
 // for (int n=0; n<12; n++){
   // stroke(90,70);
   // strokeWeight(0.6);
    //line(borderleft+(n+1)*80, 50, borderleft+(n+1)*80, 300);
   
  
    
     //month labels
    
    for(int k=0; k<12; k++){
    textAlign(CENTER);
    fill(135,158,59);
    textSize(14);
    text(months[k],borderleft+(k+1)*80, 250);
    }
  //}
    
    //earth label
    textAlign(LEFT);
    fill(128,130,133);
    textSize(25);
    text("earth", 40, 130);
    
    //moon label
    textAlign(LEFT);
    fill(188,190,192);
    textSize(25);
    text("moon", 40, 195);
  
       //title
       textAlign(LEFT);
    fill(135,158,59);
    textSize(19);
    text("earth and moon represented in book titles in 2011", 40, 40);
}

//Circles
void draw(){
  




  
  //rectangle hack
 // fill(255);
  //noStroke();
  //rect(100,50,1100,105); 

  //earth
  for(int i=0;i<13; i++){
    fill(120);
    noStroke();
    ellipse(borderleft+(i)*80, 150-(earth[i]/60), earth[i]/30, earth[i]/30);
  }
   //rectangle hack
// fill(255);
 // noStroke();
 // rect(110,156,1100,80); 
  
     //moon
    for(int j=0;j<13; j++){
    fill(188,190,192);
    noStroke();
    ellipse(borderleft+(j)*80, 160+(moon[j]/60), moon[j]/30, moon[j]/30);
    }
  }

